#ifndef BMP_GLADE_H
#define BMP_GLADE_H

#include <glib.h>
#include <gtk/gtk.h>
#include <glade/glade.h>


typedef struct _FuncMap FuncMap;

struct _FuncMap {
    gchar *name;
    GCallback function;
};


#define FUNC_MAP_BEGIN(map)       static FuncMap map[] = {
#define FUNC_MAP_ENTRY(function)  { #function, (GCallback) function },
#define FUNC_MAP_END              { NULL, NULL } };


GladeXML *glade_xml_new_or_die(const gchar * name, const gchar * path,
                               const gchar * root, const gchar * domain);

GtkWidget *glade_xml_get_widget_warn(GladeXML * xml, const gchar * name);

void glade_xml_signal_autoconnect_map(GladeXML * xml, FuncMap * map);

#endif
